import { AfterViewChecked, ElementRef, OnInit } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { MatListOption, MatSelectionList } from '@angular/material/list';
import { MatTableDataSource } from '@angular/material/table';
import { Group } from '@cleavelandprice/ngx-lib/active-directory';
import { PhotoItem } from '@cleavelandprice/ngx-lib/sharepoint';
import { SelectableGroup } from '../../model/selectable-group';
import { SelectableUser } from '../../model/selectable-user';
import { UserChooserData } from '../../model/user-chooser-data';
import * as i0 from "@angular/core";
export declare class UserChooserComponent implements OnInit, AfterViewChecked {
    data: UserChooserData;
    private dialogRef;
    private activeDirectoryService;
    private sharePointService;
    selectionList: MatSelectionList | undefined;
    filterInput: ElementRef | undefined;
    filterForm: FormGroup<{
        filter: FormControl<any>;
    }>;
    dataSource: MatTableDataSource<SelectableUser | SelectableGroup> | undefined;
    photos: PhotoItem[] | undefined;
    groups: Group[] | undefined;
    get isMultiMode(): boolean;
    get selectedOptions(): MatListOption[];
    get selectedUsers(): (SelectableUser | SelectableGroup)[];
    get filterValue(): string;
    get adGroupsNeeded(): boolean;
    constructor(data: UserChooserData);
    ngOnInit(): void;
    ngAfterViewChecked(): void;
    listSelectionChanged(options: MatListOption[]): void;
    optionSelectionChanged(option: MatListOption): void;
    hideUnselectedChanged(selected: boolean): void;
    selectAll(): void;
    deselectAll(): void;
    isUser(userOrGroup: SelectableUser | SelectableGroup): boolean;
    castUser(userOrGroup: SelectableUser | SelectableGroup): SelectableUser;
    private getData;
    close(): void;
    getPhoto(user: SelectableUser | SelectableGroup): string | undefined;
    private excludeUsersByAccountName;
    private excludeUsersByGroupName;
    private excludeUsersByDepartment;
    private excludeUsersByTitle;
    private includeUsersByAccountName;
    private includeUsersByDepartment;
    private includeUsersByTitle;
    private includeUsersByGroupName;
    private preSelectUsersByAccountName;
    private preSelectUsersByDepartment;
    private preSelectUsersByTitle;
    private preSelectUsersByGroupName;
    private setFilterPredicate;
    private listenForFilterChanges;
    tooltip(user: SelectableUser | SelectableGroup): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserChooserComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserChooserComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
